<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"

    xmlns:app="http://schemas.android.com/apk/res-auto"

    xmlns:tools="http://schemas.android.com/tools"

    android:layout_width="match_parent"

    android:layout_height="match_parent"

    tools:context=".MainActivity">

    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <ImageView
            android:layout_weight="4"
            android:src="@drawable/ic_login"
            android:scaleType="centerCrop"
            android:layout_width="match_parent"
            android:layout_height="0dp" />
        <View
            android:layout_weight="1"
            android:layout_width="match_parent"
            android:layout_height="0dp"/>
    </LinearLayout>
    <LinearLayout
        android:gravity="center"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">
        <EditText
            android:textColor="#fff"
            android:textColorHint="#eee"
            android:paddingStart="10dp"
            android:paddingLeft="10dp"
            android:hint="Email"
            android:layout_margin="20dp"
            android:layout_width="match_parent"
            android:layout_height="?actionBarSize"
            android:background="@drawable/rounded_corner"
            android:textSize="17sp"
            android:id="@+id/textEmail"
            android:inputType="textEmailAddress"/>
        <EditText
            android:textColor="#fff"
            android:textColorHint="#eee"
            android:paddingStart="10dp"
            android:paddingLeft="10dp"
            android:hint="Password"
            android:layout_margin="20dp"
            android:layout_width="match_parent"
            android:layout_height="?actionBarSize"
            android:background="@drawable/rounded_corner"
            android:textSize="17sp"
            android:id="@+id/textPassword"
            android:inputType="textPassword"
            />
        <Button
            android:paddingRight="20dp"
            android:paddingLeft="20dp"
            android:background="@drawable/rounded_corner_button"
            android:text="sign in"
            android:textColor="#777"
            android:layout_width="wrap_content"
            android:layout_height="35dp"
            android:id="@+id/connectButton"
            android:onClick="onConnectButton"/>
        <TextView
            android:layout_marginTop="20dp"
            android:textColor="#fff"
            android:text="Forgot Password?"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />
        <ListView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:id="@+id/questsList" />
    </LinearLayout>
    <LinearLayout
        android:layout_marginBottom="30dp"
        android:gravity="center"
        android:orientation="vertical"
        android:layout_alignParentBottom="true"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <TextView
            android:layout_marginBottom="10dp"
            android:text="Or Signup with"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <ImageButton
                android:layout_marginRight="15dp"
                android:background="@drawable/google"
                android:layout_width="40dp"
                android:layout_height="40dp" />
            <ImageButton
                android:layout_marginRight="15dp"
                android:background="@drawable/facebook"
                android:layout_width="40dp"
                android:layout_height="40dp" />
            <ImageButton
                android:background="@drawable/twitter"
                android:layout_width="40dp"
                android:layout_height="40dp" />
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>
